Main Page Class Hierarchy Compound List File List Compound Members File Members

# rw_strongmotion.h File Reference

Go to the source code of this file.

## Compounds
struct | _SM_CHAN
struct | _SM_DATA
## Defines
#define | GRAVITY_CGS 978.03
#define | SM_VENDOR_LEN 49
#define | SM_STA_LEN 6
#define | SM_COMP_LEN 8
#define | SM_NET_LEN 8
#define | SM_LOC_LEN 5
#define | SM_MAX_CHAN 18
#define | SM_MAX_RSA 25
#define | SM_NULL -1
#define | SM_ALTCODE_NONE 0
#define | SM_ALTCODE_RECEIVING_MODULE 1
#define | SM_ALTCODE_DATABASE 2
#define | SM_ALTCODE_AUTOMATED_REVIEWER 3
#define | SM_ALTCODE_HUMAN_REVIEWER 4
## Typedefs
typedef _SM_CHAN | SM_CHAN
typedef _SM_DATA | SM_DATA
## Functions
int | rd_strongmotion (char *msg, int msglen, SM_DATA *sm)
int | wr_strongmotion (SM_DATA *sm, char *buf, int buflen)
void | log_strongmotion (SM_DATA *sm)

## Define Documentation

#define GRAVITY_CGS 978.03

| Definition at line 41 of file rw_strongmotion.h.

#define SM_ALTCODE_AUTOMATED_REVIEWER 3

| Definition at line 60 of file rw_strongmotion.h.

#define SM_ALTCODE_DATABASE 2

| Definition at line 59 of file rw_strongmotion.h.

#define SM_ALTCODE_HUMAN_REVIEWER 4

| Definition at line 61 of file rw_strongmotion.h.

#define SM_ALTCODE_NONE 0

| Definition at line 57 of file rw_strongmotion.h.

#define SM_ALTCODE_RECEIVING_MODULE 1

| Definition at line 58 of file rw_strongmotion.h. Referenced by k2evt2ew().

#define SM_COMP_LEN 8

| Definition at line 48 of file rw_strongmotion.h. Referenced by rd_strongmotion().

#define SM_LOC_LEN 5

| Definition at line 50 of file rw_strongmotion.h. Referenced by rd_strongmotion().

#define SM_MAX_CHAN 18

| Definition at line 51 of file rw_strongmotion.h.

#define SM_MAX_RSA 25

| Definition at line 52 of file rw_strongmotion.h. Referenced by rd_strongmotion(), rd_strongmotionII(), and wr_strongmotion().

#define SM_NET_LEN 8

| Definition at line 49 of file rw_strongmotion.h. Referenced by rd_strongmotion().

#define SM_NULL -1

| Definition at line 53 of file rw_strongmotion.h.

#define SM_STA_LEN 6

| Definition at line 47 of file rw_strongmotion.h. Referenced by rd_strongmotion().

#define SM_VENDOR_LEN 49

| Definition at line 46 of file rw_strongmotion.h. Referenced by rd_strongmotion().

## Typedef Documentation

typedef struct _SM_CHAN SM_CHAN

typedef struct _SM_DATA SM_DATA

## Function Documentation

void log_strongmotion | ( | SM_DATA * | sm | ) |

| Definition at line 402 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, datestr23(), _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, logit(), _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, _SM_DATA::sn, _SM_CHAN::sta, _SM_DATA::talt, _SM_DATA::tfield, _SM_DATA::tload, _SM_CHAN::vel, and _SM_DATA::vendor.

int rd_strongmotion | ( | char * | msg,
|  | int | msglen,
|  | SM_DATA * | sm
| ) |

| Definition at line 46 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, SM_COMP_LEN, SM_LOC_LEN, SM_MAX_RSA, SM_NET_LEN, SM_STA_LEN, SM_VENDOR_LEN, _SM_DATA::sn, _SM_CHAN::sta, _SM_DATA::talt, _SM_DATA::tfield, timegm(), _SM_DATA::tload, tokenlength(), _SM_CHAN::vel, and _SM_DATA::vendor.

int wr_strongmotion | ( | SM_DATA * | sm,
|  | char * | buf,
|  | int | buflen
| ) |

| Definition at line 286 of file rw_strongmotion.c. References _SM_CHAN::acc, _SM_DATA::altcode, _SM_DATA::ch, _SM_CHAN::comp, datestr23(), _SM_CHAN::disp, _SM_CHAN::freq, _SM_CHAN::loc, _SM_DATA::nch, _SM_CHAN::net, _SM_CHAN::nRSA, _SM_CHAN::RSA, SM_MAX_CHAN, SM_MAX_RSA, _SM_DATA::sn, _SM_CHAN::sta, strappend(), _SM_DATA::talt, _SM_DATA::tfield, _SM_DATA::tload, _SM_CHAN::vel, and _SM_DATA::vendor.